Bug 906079 - PLT Stubs on PPC are not thread safe
Summary: PLT Stubs on PPC are not thread safe
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: binutils
Version: 6.3
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: rc
: ---
Assignee: Patsy Franklin
QA Contact: Miloš Prchlík
URL:
Whiteboard:
Depends On: 852445 905941 1103874
Blocks: 1023566 1056252
TreeView+ depends on / blocked
 
Reported: 2013-01-30 19:31 UTC by Jeff Law
Modified: 2017-09-15 08:24 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: When creating a shared library, the linker selected non-thread-safe linker stubs by default for ppc64 targets. Consequence: If a shared library with non-thread-safe stubs was used by a multi-threaded application calls into the library could fail in unpredictable ways. Fix: The linker not default to using thread safe linker stubs when building shared libraries for ppc64 targets. Result: Unpredictable crashes when calling into shared libraries from multi-threaded applications are eliminated.
Clone Of: 905941
Environment:
Last Closed: 2014-10-14 04:40:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1414 normal SHIPPED_LIVE binutils bug fix update 2014-10-14 00:54:49 UTC

Comment 2 RHEL Product and Program Management 2013-02-03 06:47:18 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 8 errata-xmlrpc 2014-10-14 04:40:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1414.html


Note You need to log in before you can comment on or make changes to this bug.